// DbObject.h : Declaration of the CDbObject

#pragma once
#include "resource.h"       // main symbols


// IDbObject
[
	object,
	uuid("2963391C-FEC7-42B3-B231-78AE743399FD"),
	dual,	helpstring("IDbObject Interface"),
	pointer_default(unique)
]
__interface IDbObject : IDispatch
{
	[id(1), helpstring("method UpdateIndexes")] HRESULT UpdateIndexes(void);
};



// CDbObject

[
	coclass,
	threading("apartment"),
	vi_progid("DbServer.DbObject"),
	progid("DbServer.DbObject.1"),
	version(1.0),
	uuid("4CD6D0E1-65DC-4F7E-9EDA-96A5E4E6CBDB"),
	helpstring("DbObject Class")
]
class ATL_NO_VTABLE CDbObject : 
	public IDbObject
{
public:
	CDbObject()
	{
	}


	DECLARE_PROTECT_FINAL_CONSTRUCT()

	HRESULT FinalConstruct()
	{
		return S_OK;
	}
	
	void FinalRelease() 
	{
	}

public:

	STDMETHOD(UpdateIndexes)(void);
};

