// SimpleClient.cpp 

#include "stdafx.h"
#include <iostream>
using namespace std;

#import "..\DbServer\_DbServer.tlb" no_namespace named_guids

int _tmain(int argc, _TCHAR* argv[])
{
	CoInitialize(NULL);

	try
	{
		IDbObjectPtr p(CLSID_CDbObject);
		p->UpdateIndexes();

		cout << "Doing something else while the object works";
		for (int i = 0; i < 10; i++)
		{
			cout << ".";
			Sleep(1000);
		}
		cout << endl;
	}
	catch(_com_error& e)
	{
		cout << e.ErrorMessage();
	}

	CoUninitialize();
	return 0;
}

