// DbObject.h : Declaration of the CDbObject

#pragma once
#include "resource.h"       // main symbols

#include "_IDbObjectEvents_CP.h"
#include "DbServerEvent.h"


// CDbObject

class ATL_NO_VTABLE CDbObject : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CDbObject, &CLSID_DbObject>,
	public IConnectionPointContainerImpl<CDbObject>,
//	public CProxy_IDbObjectEvents<CDbObject>, 
	public IDispatchImpl<IDbObject, &IID_IDbObject, &LIBID_DbServerEventLib, /*wMajor =*/ 1, /*wMinor =*/ 0>,
	public CProxy_IDbObjectEvents<CDbObject>
{
public:
	CDbObject()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_DBOBJECT)


BEGIN_COM_MAP(CDbObject)
	COM_INTERFACE_ENTRY(IDbObject)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(IConnectionPointContainer)
END_COM_MAP()

BEGIN_CONNECTION_POINT_MAP(CDbObject)
//	CONNECTION_POINT_ENTRY(__uuidof(_IDbObjectEvents))
	CONNECTION_POINT_ENTRY(__uuidof(_IDbObjectEvents))
END_CONNECTION_POINT_MAP()

	DECLARE_PROTECT_FINAL_CONSTRUCT()

	HRESULT FinalConstruct()
	{
		return S_OK;
	}
	
	void FinalRelease() 
	{
	}

public:

	STDMETHOD(UpdateIndexes)(void);
};

OBJECT_ENTRY_AUTO(__uuidof(DbObject), CDbObject)
