// Client.cpp 

#include "stdafx.h"
#include <iostream>
using namespace std;
#include "EventHandler.h"

CComModule _Module;

int _tmain(int argc, _TCHAR* argv[])
{
	CoInitialize(NULL);
	_Module.Init(NULL, GetModuleHandle(NULL));

	try
	{
		IDbObjectPtr p(CLSID_DbObject);
		CEventHandler eh;
		eh.DispEventAdvise(p);

		p->UpdateIndexes();

		cout << "Doing something else while the object works";
		for (int i = 0; i < 10; i++)
		{
			cout << ".";
			Sleep(1000);
		}
		cout << endl;

		eh.DispEventUnadvise(p);
	}
	catch(_com_error& e)
	{
		cout << e.ErrorMessage();
	}

	_Module.Term();
	CoUninitialize();
	return 0;
}
